获取应用实例列表
获取应用实例列表
Path Parameters
订阅名称
资源组名称
可用区
工作空间名称
应用名称
Query Parameters
可选,过滤条件。 仅支持以下字段的过滤条件:display_name、user_name、name。 格式请参考:https://google.aip.dev/160
指定每页返回的最大数据量,最大值为 500,默认值为 10
分页查询的起始标记。通常为上一次查询返回的 next_page_token, 默认值为 1
- 200
- default
OK
Schema
- Array [
- Array [
- ]
- ]
instances object[]
实例列表
实例名称
resource_spec object
资源规格
资源规格名称,例如:N2lS.Ie.I60.2
limits object
资源限制列表,键值包括:CPU(cpu)、内存(memory)、设备数量(device)
requests object
资源请求列表,键值包括:CPU(cpu)、内存(memory)、设备数量(device)
container_infos object[]
本实例中子容器的信息
容器名称
Possible values: [INIT, MAIN]
容器类型
Possible values: [RUNNING, WAITING, TERMINATED, UNKNOWN]
容器状态
镜像真实路径
重启次数
运行时长(秒)
容器就绪状态
下一页的 token,用户需将该值作为 page_token 传递到下一次请求中
符合当前查询条件的后台数据总数(不是当前返回数据总数)
{
"instances": [
{
"uid": "string",
"name": "string",
"instance_ip": "string",
"host_ip": "string",
"state": "UNKNOWN_CI_STATE",
"resource_spec": {
"name": "string",
"description": "string",
"limits": {},
"requests": {}
},
"life_span": 0,
"transition_error": "string",
"state_reason": "string",
"container_infos": [
{
"container_name": "string",
"container_type": "INIT",
"container_state": "RUNNING",
"image_path": "string",
"restart_count": 0,
"life_span": 0,
"ready": true
}
],
"app_name": "string",
"restart_count": 0,
"revision": "string"
}
],
"next_page_token": "string",
"total_size": 0
}
Default error response
Schema
- Array [
- ]
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
details object[]
A list of messages that carry the error details. There is a common set of message types for APIs to use.
The type of the serialized message.
{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}